> For the complete documentation index, see [llms.txt](https://doc.blowhorn.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.blowhorn.com/api-docs/drivers/driver-details.md).

# Driver Details

These set if APIs provide information regarding the the eligibility of the driver to provide service in an area, a particular driver's details, a driver's current balance and a driver's deductions.

## Driver Details

<mark style="color:blue;">`GET`</mark> `/api/drivers/detail`

Use this api to get the details of the driver by providing the api key and the driver's Id number.\
It provides some important information even related to the licence, pan, account info, addresses and so on.

#### Query Parameters

| Name     | Type   | Description    |
| -------- | ------ | -------------- |
| driverId | string | Pass driver ID |

#### Headers

| Name     | Type   | Description       |
| -------- | ------ | ----------------- |
| API\_KEY | string | Enter the API Key |

{% tabs %}
{% tab title="200 Driver Details" %}

```
{
  "status": "PASS",
  "message": {
    "name": "DASHRATH",
    "gender": "male",
    "DOB": "14-01-1992",
    "joining_date": {},
    "contact_no": "+919988776655",
    "father_name": "prasad",
    "marital_status": "Married",
    "educational_detail": "diploma",
    "vehicle_no": "KA53C4042",
    "license": 9860040039,
    "PAN": "AREPD0930D",
    "account_info": {
      "name": "Dashrath",
      "account_no": 9160100366,
      "ifsc_code": "UTIB0002179"
    },
    "permanent_address": {
      "address": "1103, 23 Rd A Cross Rd, Garden Layout, Sector 2, Bengaluru Karnataka 562125 India",
      "city": "Bengaluru",
      "state": "Karnataka",
      "postcode": 562125,
      "country": "India",
      "complete_address": "1103, 23 Rd A Cross Rd, Garden Layout, Sector 2, Bengaluru Karnataka 562125 India Bengaluru Karnataka 562125 India"
    },
    "current_address": {
      "address": "1103, 23 Rd A Cross Rd, Garden Layout, Sector 2, Bengaluru Karnataka 562125 India",
      "city": "Bengaluru",
      "state": "Karnataka",
      "postcode": 562125,
      "country": "India",
      "complete_address": "1103, 23 Rd A Cross Rd, Garden Layout, Sector 2, Bengaluru Karnataka 562125 India Bengaluru Karnataka 562125 India"
    }
  }
}
```

{% endtab %}

{% tab title="400 Malformed data or missing required parameter values" %}
{% tabs %}
{% tab title="Example 1" %}

```
{
  "status": "FAIL",
  "message": "Driver Details Not Found, you can use api/drivers/drivereligibility?driver_id=17275 api to get detailed information"
}
```

{% endtab %}

{% tab title="Example 2" %}

```
{
  "status": "FAIL",
  "message": "driverId must be an Integer"
}
```

{% endtab %}

{% tab title="Example 3" %}

```
{
  "status": "FAIL",
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401 Unauthorized / Wrong API key" %}

```
{
  "status": "string",
  "message": "string"
}
```

{% endtab %}

{% tab title="500 Unexpected error" %}

```
{
  "status": "string",
  "message": "string"
}
```

{% endtab %}
{% endtabs %}

## Postman Collection

We have a Postman collection to make the integration quicker and easier. You can test all our APIs by importing the full API collection through the **'Run in Postman'** button and running them in the Postman app.

[![Run in Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/1285ac656f67514f50fb)
